// Next available MSG number is    39 
// MODULE_ID DDISCALE_DCL_
/* Next available MSG number is  41 */

//----------------------------------------------------------------------------
//
//     ddiscale.dcl
//     
//     Based on DDINSERT.DCL Copyright 1992,1994,1996 by Autodesk, Inc.
//     Modified by Herman Mayfarth, Nov. 1998
//
//----------------------------------------------------------------------------
// ***************************************************************************
// *** AUTODESK COPYRIGHT NOTICE 
// *** AUTODESK LIMITED WARRANTY
// *** AUTODESK RESTRICTED RIGHTS NOTICE
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
// ***************************************************************************
//----------------------------------------------------------------------------
//
// Corresponding dialogues for DDISCALE.LSP which is an AutoLISP implementation
// of the AutoCAD Insert command with a dialogue interface.
//
//----------------------------------------------------------------------------


//dcl_settings : default_dcl_settings { audit_level = 3; }


ddiscale : dialog {
    label = "Autoscale Block Inserts";
    : boxed_column {
	label = "Block";
	: row {
	    : button {
		label = "Block...";
		key = "int_blocks";
		mnemonic = "B";
		width = 10;
		fixed_width = true;
	    }
	    : edit_box {
		label = "";
		key = "current_name";
		width = 36;
		edit_limit = 217;
		allow_accept = true;
		initial_focus = true;
	    }
	}
	: row {
	    : button {
		label = "File...";
		key = "ext_blocks";
		mnemonic = "F";
		width = 11.7;
		fixed_width = true;
	    }
	    : edit_box {
		key = "path_name";
		width = 36;
		allow_accept = true;
	    }
	}
    }
//    : toggle {
//label = "Explode";
//	key = "explode";
//	mnemonic = "E";
//	fixed_width = true;
//    }
    ok_cancel_help_errtile;
}


list_blocks : dialog {
    label = "Defined Blocks";
    : edit_box {
	label = "Pattern:";
	key = "pattern";
	mnemonic = "P";
	allow_accept=true;
	is_default=true;
    }
    : list_box {
	key = "bl_match";
	width = 32;
	allow_accept = true;
    }
    : edit_box {
	label = "Selection:";
	key = "selection";
	mnemonic = "S";
	allow_accept=true;
	edit_limit = 217;
    }
    spacer;
    ok_cancel_err;
}

blk_exists : dialog {
    label = "Warning";
    : paragraph {
	: text_part {
	    label = "A Block with this name already exists in the drawing.";
	}
	: text_part {
	    label = "Do you want to redefine it?";
	}
    }
    spacer_1;
    : row {
	fixed_width = true;
	alignment = centered;
	: button {
	    label = "OK";
	    key = "redefine";
	    width = 8;
	}
	: spacer {
	    width = 2;
	}
	: default_button {
	    label = "Cancel";
	    key = "no";
	    width = 8;
	}
    }
}

